
Foreman - Bug #18033

unable to create a new trend

01/11/2017 11:13 AM - Ohad Levy

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Trends   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

steps to reproduce:

1. goto trends page

2. click on new trend.

ArgumentError

wrong number of arguments (0 for 1)

/home/foreman/git/foreman/app/helpers/trends_helper.rb:4:in `trendable_types'

/home/foreman/git/foreman/app/views/trends/_form.html.erb:3:in `block in _9e4cc86497cd88d605579160

a3215855'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/helpers/capture_helper.rb:38:in `block 

in capture'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/helpers/capture_helper.rb:202:in `with_

output_buffer'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/helpers/capture_helper.rb:38:in `captur

e'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/helpers/form_helper.rb:444:in `form_for

'

/home/foreman/git/foreman/app/helpers/form_helper.rb:281:in `form_for'

/home/foreman/git/foreman/app/views/trends/_form.html.erb:1:in `_9e4cc86497cd88d605579160a3215855'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/template.rb:145:in `block in render'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/notifications.rb:166:in `instrume

nt'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/template.rb:333:in `instrument'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/template.rb:143:in `render'

/home/foreman/gems/gems/deface-1.1.0/lib/deface/action_view_extensions.rb:41:in `render'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/partial_renderer.rb:339:in `re

nder_partial'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/partial_renderer.rb:310:in `bl

ock in render'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/abstract_renderer.rb:39:in `bl

ock in instrument'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/notifications.rb:164:in `block in

 instrument'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/notifications/instrumenter.rb:20:

in `instrument'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/notifications.rb:164:in `instrume

nt'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/abstract_renderer.rb:39:in `in

strument'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/partial_renderer.rb:309:in `re

nder'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/renderer.rb:51:in `render_part

ial'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/renderer.rb:25:in `render'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/helpers/rendering_helper.rb:32:in `rend
er'

/home/foreman/git/foreman/app/views/trends/new.html.erb:3:in `_dcb8b65e488c2a6ffb21838babc69c9f'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/template.rb:145:in `block in render'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/notifications.rb:166:in `instrume

nt'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/template.rb:333:in `instrument'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/template.rb:143:in `render'

/home/foreman/gems/gems/deface-1.1.0/lib/deface/action_view_extensions.rb:41:in `render'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/template_renderer.rb:54:in `bl

ock (2 levels) in render_template'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/abstract_renderer.rb:39:in `bl

ock in instrument'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/notifications.rb:164:in `block in

 instrument'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/notifications/instrumenter.rb:20:

in `instrument'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/notifications.rb:164:in `instrume

nt'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/abstract_renderer.rb:39:in `in

strument'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/template_renderer.rb:53:in `bl

ock in render_template'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/template_renderer.rb:61:in `re

nder_with_layout'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/template_renderer.rb:52:in `re

nder_template'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/template_renderer.rb:14:in `re

nder'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/renderer.rb:46:in `render_temp

late'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/renderer/renderer.rb:27:in `render'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/rendering.rb:100:in `_render_template'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/streaming.rb:217:in `_rende

r_template'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/rendering.rb:83:in `render_to_body'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/rendering.rb:32:in `render_

to_body'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/renderers.rb:37:in `render_

to_body'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/abstract_controller/rendering.rb:25:in `render'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/rendering.rb:16:in `render'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/instrumentation.rb:44:in `b

lock (2 levels) in render'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/core_ext/benchmark.rb:12:in `bloc

k in ms'

/opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in `realtime'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/core_ext/benchmark.rb:12:in `ms'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/instrumentation.rb:44:in `b

lock in render'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/instrumentation.rb:87:in `c

leanup_view_runtime'

/home/foreman/gems/gems/activerecord-4.2.7.1/lib/active_record/railties/controller_runtime.rb:25:i

n `cleanup_view_runtime'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/instrumentation.rb:43:in `r

ender'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/implicit_render.rb:10:in `d

efault_render'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/implicit_render.rb:5:in `se

nd_action'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/abstract_controller/base.rb:198:in `process_action'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/rendering.rb:10:in `process

_action'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/abstract_controller/callbacks.rb:20:in `block in pr

ocess_action'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:117:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:117:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:555:in `block (2 lev
els) in compile'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:505:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:505:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:498:in `block (2 lev

els) in around'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:313:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:313:in `block (2 lev

els) in halting'

/home/foreman/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_controller/caching/sweepi

ng.rb:73:in `around'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:455:in `public_send'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:455:in `block in mak

e_lambda'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:312:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:312:in `block in hal

ting'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:497:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:497:in `block in aro

und'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:505:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:505:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:498:in `block (2 lev

els) in around'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:313:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:313:in `block (2 lev

els) in halting'

/home/foreman/git/foreman/app/controllers/concerns/application_shared.rb:14:in `set_timezone'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:432:in `block in mak

e_lambda'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:312:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:312:in `block in hal

ting'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:497:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:497:in `block in aro

und'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:505:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:505:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:498:in `block (2 lev

els) in around'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:313:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:313:in `block (2 lev

els) in halting'

/home/foreman/git/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:432:in `block in mak

e_lambda'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:312:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:312:in `block in hal

ting'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:497:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:497:in `block in aro

und'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:505:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:505:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:498:in `block (2 lev

els) in around'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:313:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:313:in `block (2 lev

els) in halting'

/home/foreman/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_controller/caching/sweepi

ng.rb:73:in `around'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:455:in `public_send'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:455:in `block in mak

e_lambda'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:312:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:312:in `block in hal

ting'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:497:in `call'
/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:497:in `block in aro

und'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:505:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:505:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:92:in `__run_callbac

ks__'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:778:in `_run_process

_action_callbacks'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:81:in `run_callbacks

'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/abstract_controller/callbacks.rb:19:in `process_act

ion'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/rescue.rb:29:in `process_ac

tion'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/instrumentation.rb:32:in `b

lock in process_action'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/notifications.rb:164:in `block in

 instrument'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/notifications/instrumenter.rb:20:

in `instrument'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/notifications.rb:164:in `instrume

nt'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/instrumentation.rb:30:in `p

rocess_action'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/params_wrapper.rb:250:in `p

rocess_action'

/home/foreman/gems/gems/activerecord-4.2.7.1/lib/active_record/railties/controller_runtime.rb:18:i

n `process_action'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/abstract_controller/base.rb:137:in `process'

/home/foreman/gems/gems/actionview-4.2.7.1/lib/action_view/rendering.rb:30:in `process'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal.rb:196:in `dispatch'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal/rack_delegation.rb:13:in `d

ispatch'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_controller/metal.rb:237:in `block in action'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/routing/route_set.rb:74:in `call'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/routing/route_set.rb:74:in `dispatc

h'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/routing/route_set.rb:43:in `serve'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/journey/router.rb:43:in `block in s

erve'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/journey/router.rb:30:in `each'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/journey/router.rb:30:in `serve'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/routing/route_set.rb:817:in `call'

/home/foreman/gems/gems/apipie-rails-0.3.7/lib/apipie/static_dispatcher.rb:65:in `call'

/home/foreman/gems/gems/apipie-rails-0.3.7/lib/apipie/extractor/recorder.rb:132:in `call'

/home/foreman/gems/gems/apipie-rails-0.3.7/lib/apipie/middleware/checksum_in_headers.rb:27:in `cal

l'

/home/foreman/gems/gems/rack-1.6.5/lib/rack/etag.rb:24:in `call'

/home/foreman/gems/gems/rack-1.6.5/lib/rack/conditionalget.rb:25:in `call'

/home/foreman/gems/gems/rack-1.6.5/lib/rack/head.rb:13:in `call'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/middleware/params_parser.rb:27:in `

call'

/home/foreman/git/foreman/lib/middleware/catch_json_parse_errors.rb:8:in `call'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/middleware/flash.rb:260:in `call'

/home/foreman/gems/gems/rack-1.6.5/lib/rack/session/abstract/id.rb:225:in `context'

/home/foreman/gems/gems/rack-1.6.5/lib/rack/session/abstract/id.rb:220:in `call'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/middleware/cookies.rb:560:in `call'

/home/foreman/gems/gems/activerecord-4.2.7.1/lib/active_record/query_cache.rb:36:in `call'

/home/foreman/gems/gems/activerecord-4.2.7.1/lib/active_record/connection_adapters/abstract/connec

tion_pool.rb:653:in `call'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/middleware/callbacks.rb:29:in `bloc

k in call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:88:in `__run_callbac

ks__'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:778:in `_run_call_ca

llbacks'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:81:in `run_callbacks
'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/middleware/callbacks.rb:27:in `call

'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/middleware/remote_ip.rb:78:in `call

'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/middleware/debug_exceptions.rb:17:i

n `call'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/middleware/show_exceptions.rb:30:in

 `call'

/home/foreman/gems/gems/railties-4.2.7.1/lib/rails/rack/logger.rb:38:in `call_app'

/home/foreman/gems/gems/railties-4.2.7.1/lib/rails/rack/logger.rb:22:in `call'

/home/foreman/gems/gems/quiet_assets-1.1.0/lib/quiet_assets.rb:27:in `call_with_quiet_assets'

/home/foreman/git/foreman/lib/middleware/tagged_logging.rb:18:in `call'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/middleware/request_id.rb:21:in `cal

l'

/home/foreman/gems/gems/rack-1.6.5/lib/rack/methodoverride.rb:22:in `call'

/home/foreman/gems/gems/rack-1.6.5/lib/rack/runtime.rb:18:in `call'

/home/foreman/gems/gems/activesupport-4.2.7.1/lib/active_support/cache/strategy/local_cache_middle

ware.rb:28:in `call'

/home/foreman/gems/gems/actionpack-4.2.7.1/lib/action_dispatch/middleware/static.rb:120:in `call'

/home/foreman/gems/gems/rack-1.6.5/lib/rack/sendfile.rb:113:in `call'

/home/foreman/gems/gems/secure_headers-3.5.1/lib/secure_headers/middleware.rb:12:in `call'

/home/foreman/gems/gems/railties-4.2.7.1/lib/rails/engine.rb:518:in `call'

/home/foreman/gems/gems/railties-4.2.7.1/lib/rails/application.rb:165:in `call'

/home/foreman/gems/gems/railties-4.2.7.1/lib/rails/railtie.rb:194:in `public_send'

/home/foreman/gems/gems/railties-4.2.7.1/lib/rails/railtie.rb:194:in `method_missing'

/home/foreman/gems/gems/rack-1.6.5/lib/rack/urlmap.rb:66:in `block in call'

/home/foreman/gems/gems/rack-1.6.5/lib/rack/urlmap.rb:50:in `each'

/home/foreman/gems/gems/rack-1.6.5/lib/rack/urlmap.rb:50:in `call'

/root/.gem/gems/passenger-5.0.7/lib/phusion_passenger/rack/thread_handler_extension.rb:89:in `proc

ess_request'

/root/.gem/gems/passenger-5.0.7/lib/phusion_passenger/request_handler/thread_handler.rb:149:in `ac

cept_and_process_next_request'

/root/.gem/gems/passenger-5.0.7/lib/phusion_passenger/request_handler/thread_handler.rb:110:in `ma

in_loop'

/root/.gem/gems/passenger-5.0.7/lib/phusion_passenger/request_handler.rb:414:in `block (3 levels) 

in start_threads'

/root/.gem/gems/passenger-5.0.7/lib/phusion_passenger/utils.rb:111:in `block in create_thread_and_

abort_on_exception'

/home/foreman/gems/gems/logging-2.1.0/lib/logging/diagnostic_context.rb:450:in `call'

/home/foreman/gems/gems/logging-2.1.0/lib/logging/diagnostic_context.rb:450:in `block in create_wi

th_logging_context'

Related issues:

Related to Foreman - Refactor #17972: Trends JS is overly complicated, form &... Closed 01/08/2017

History

#1 - 01/11/2017 11:14 AM - Ohad Levy

- Related to Refactor #17972: Trends JS is overly complicated, form & helper are outdated and inefficient added

#2 - 01/12/2017 03:34 AM - Dominic Cleal

- Category set to Trends

- Status changed from New to Need more information

Do you mean the Add Trend Counter button?

I can't reproduce this, and the error suggests that the trends_helper.rb you're using is outdated as trends_helper in develop takes zero arguments (not

1 as the error suggests). Please check the code and running instance are up to date, restart it if necessary.

#3 - 01/12/2017 02:42 PM - Ohad Levy

- Status changed from Need more information to Rejected

this seems to be a failure related to my older node (0.10) setup, sorry for the noise.
